## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionElementContentList

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface XMLValueFunctionElementContentList

extends SQLQueryObject

A representation of the model object 'XML Value Function Element Content List'.

The following features are supported:

- `Null Handling Option`
- `Value Function Element`
- `Element Content List Children`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionElementContentList()`

Method Summary
`org.eclipse.emf.common.util.EList` `getElementContentListChildren()` Returns the value of the 'Element Content List Children' containment reference list.
`XMLNullHandlingType` `getNullHandlingOption()` Returns the value of the 'Null Handling Option' attribute.
`XMLValueFunctionElement` `getValueFunctionElement()` Returns the value of the 'Value Function Element' container reference.
`void` `setNullHandlingOption(XMLNullHandlingType value)` Sets the value of the '`Null Handling Option`' attribute.
`void` `setValueFunctionElement(XMLValueFunctionElement value)` Sets the value of the '`Value Function Element`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNullHandlingOption

    XMLNullHandlingType getNullHandlingOption()

  Returns the value of the 'Null Handling Option' attribute. The literals are from the enumeration `XMLNullHandlingType`.

  If the meaning of the 'Null Handling Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Handling Option' attribute.
  See Also:
    `XMLNullHandlingType`, `setNullHandlingOption(XMLNullHandlingType)`, `SQLXMLQueryModelPackage.getXMLValueFunctionElementContentList_NullHandlingOption()`

### setNullHandlingOption

    void setNullHandlingOption(XMLNullHandlingType value)

  Sets the value of the '`Null Handling Option`' attribute.

  Parameters:
    `value` - the new value of the 'Null Handling Option' attribute.
  See Also:
    `XMLNullHandlingType`, `getNullHandlingOption()`

### getValueFunctionElement

    XMLValueFunctionElement getValueFunctionElement()

  Returns the value of the 'Value Function Element' container reference. It is bidirectional and its opposite is '`Element Content List`'.

  If the meaning of the 'Value Function Element' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Function Element' container reference.
  See Also:
    `setValueFunctionElement(XMLValueFunctionElement)`, `SQLXMLQueryModelPackage.getXMLValueFunctionElementContentList_ValueFunctionElement()`, `XMLValueFunctionElement.getElementContentList()`

### setValueFunctionElement

    void setValueFunctionElement(XMLValueFunctionElement value)

  Sets the value of the '`Value Function Element`' container reference.

  Parameters:
    `value` - the new value of the 'Value Function Element' container reference.
  See Also:
    `getValueFunctionElement()`

### getElementContentListChildren

    org.eclipse.emf.common.util.EList getElementContentListChildren()

  Returns the value of the 'Element Content List Children' containment reference list. The list contents are of type `XMLValueFunctionElementContentItem`. It is bidirectional and its opposite is '`Element Content List`'.

  If the meaning of the 'Element Content List Children' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Content List Children' containment reference list.
  See Also:
    `SQLXMLQueryModelPackage.getXMLValueFunctionElementContentList_ElementContentListChildren()`, `XMLValueFunctionElementContentItem.getElementContentList()`